Bug 835924 - FEATURE: Editable Content Specs
FEATURE: Editable Content Specs
Status: CLOSED CURRENTRELEASE
Product: Topic Tool
Classification: Other
Component: FUDCon Docs Hack (Show other bugs)
0.0.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joshua Wulf
Joshua Wulf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 10:41 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-22 05:01:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-06-27 10:41:24 EDT
1. Make the tooltip for the Edit button the content spec ID and server URL for the book.
2. On click of the edit button, use JSON to retrieve the latest content spec from the server REST API and display it
3. On edit and click submit: 
  a. edit the server-side project spec, and replace with the content from the post.
  b. Do a csprocessor push in the server-side project (perhaps have a checkbox for --permissive in the browser)
  c. Report the success to the client
  d. On failure, pass the output to the browser, and allow the user to try again
Comment 1 Joshua Wulf 2013-04-22 05:01:19 EDT
Yep, now working in the Death Star.

Note You need to log in before you can comment on or make changes to this bug.